import { select, arc } from 'd3';

const svg = d3.select('svg');


const width = +svg.attr('width'); // extracting string attr --> num
const height = +svg.attr('height');

const eyeSpacing = 70
const eyeYOffset = -80
const eyeRadius = 30
const eyebrowHeight = 20
const eyebrowWidth = 50
const eyebrowYOffset = -70

const g = svg
	.append('g')
		.attr('transform', `translate(${width / 2}, ${height / 2})`);

const rect = g
	.append('rect')

const circle = g
	.append('circle')
    .attr('r', height/2)
    .attr('fill', 'yellow')
    .attr('stroke', 'black')
    .attr('stroke-width', '0.5em');

// eyes
const eyesG = g
	.append('g')
    .attr('fill', 'black')
    .attr('transform', `translate(0, ${eyeYOffset})`);

const leftEye = eyesG
	.append('circle')
    .attr('r', eyeRadius)
    .attr('cx', -eyeSpacing);

const rightEye = eyesG
	.append('circle')
    .attr('r', eyeRadius)
    .attr('cx', eyeSpacing);

// eyebrows
const eyebrowG = eyesG
	.append('g')
    .attr('fill', 'black')
    .attr('transform', `translate(0, ${eyebrowYOffset})`);

eyebrowG
  .transition().duration(2000)
		.attr('y', `translate(0, ${eyebrowYOffset-40})`)
  .transition().duration(2000)
		.attr('y', `translate(0, ${eyebrowYOffset})`);

const leftEyebrow = eyebrowG
	.append('rect')
    .attr('x', -eyeSpacing - eyebrowWidth / 2)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight);

const rightEyebrow = eyebrowG
	.append('rect')
    .attr('x', eyeSpacing - eyebrowWidth / 2)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight)

// mouth
const mouth = g
	.append('path')
    .attr('d', arc()({
      innerRadius: 100,
      outerRadius: 150,
      startAngle: Math.PI/2,
      endAngle: Math.PI*3/2
    }))
    .attr('fill', 'black');








